From 4060ec0024dafb78231db9ec6b0d5e086aefbe93 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 3 Jun 2009 12:58:28 +0200
Subject: [PATCH] Replace "asm" by "__asm__" for ARM conditional.

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 freetype-arm-asm.patch |   12 ++++++++++++
 freetype.spec          |    6 +++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 freetype-arm-asm.patch

diff --git a/freetype-arm-asm.patch b/freetype-arm-asm.patch
new file mode 100644
index 0000000..f8d67be
--- /dev/null
+++ b/freetype-arm-asm.patch
@@ -0,0 +1,12 @@
+diff -dur freetype-2.3.9.backup/builds/unix/ftconfig.in freetype-2.3.9/builds/unix/ftconfig.in
+--- freetype-2.3.9.backup/builds/unix/ftconfig.in	2009-06-03 12:50:33.126553063 +0200
++++ freetype-2.3.9/builds/unix/ftconfig.in	2009-06-03 12:52:07.496553607 +0200
+@@ -298,7 +298,7 @@
+     register FT_Int32  t, t2;
+ 
+ 
+-    asm __volatile__ (
++    __asm__ __volatile__ (
+       "smull  %1, %2, %4, %3\n\t"       /* (lo=%1,hi=%2) = a*b */
+       "mov    %0, %2, asr #31\n\t"      /* %0  = (hi >> 31) */
+       "add    %0, %0, #0x8000\n\t"      /* %0 += 0x8000 */
diff --git a/freetype.spec b/freetype.spec
index 33d6bc3..eab5bce 100644
--- a/freetype.spec
+++ b/freetype.spec
@@ -9,7 +9,7 @@
 Summary: A free and portable font rendering engine
 Name: freetype
 Version: 2.3.9
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 License: FTL or GPLv2+
 Group: System Environment/Libraries
 URL: http://www.freetype.org
@@ -31,6 +31,8 @@ Patch88:  freetype-multilib.patch
 # Fix crash https://bugs.freedesktop.org/show_bug.cgi?id=6841
 Patch89:  freetype-2.2.1-memcpy-fix.patch
 
+Patch100: freetype-arm-asm.patch
+
 Buildroot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
 
 BuildRequires: libX11-devel
@@ -98,6 +100,8 @@ popd
 %patch88 -p1 -b .multilib
 %patch89 -p1 -b .memcpy
 
+%patch100 -p1 -b .arm-asm
+
 %build
 
 %configure --disable-static
-- 
1.5.5.6

